import request from '@/utils/request'

export function getMessageList() {
  return request({
    url: '/showMessage',
    method: 'get',
  })
}

export function deleteMessage(params) {
  return request({
    url: '/delOneMessage',
    method: 'get',
    params
  })
}

export function updateMessage(data) { 
  return request({
    url: '/updateMessage',
    method: 'post',
    data
  })
}

export function addMessage(data) {
  return request({
    url: '/insertAllMessage',
    method: 'post',
    data
  })
}

export function getMessageById(params) {
  return request({
    url: '/showOneMessage',
    method: 'get',
    params
  })
}

export function getMessagesByAddressid(data) {
  return request({
    url: '/searchaddressid',
    method: 'post',
    data
  })
}