import request from '@/utils/request'

export function getAddressList() {
  return request({
    url: '/showAddresses',
    method: 'get'
  })
}

export function addAddress(data) {
  return request({
    url: '/insertOneAddress',
    method: 'post',
    data
  })
}

export function deleteAddress(params) { 
  return request({
    url: '/delOneAddress',
    method: 'get',
    params
  })
}