import request from '@/utils/request'

export function getLevelList() {
  return request({
    url: '/showLevel',
    method: 'get'
  }) 
}

export function addLevel(data) {
  return request({
    url: '/insertOneLevel',
    method: 'post',
    data
  }) 
}

export function deleteLevel(params) {
  return request({
    url: '/delOneLevel',
    method: 'get',
    params
  }) 
}